# coding: utf8
import unittest
import time
import subprocess
import HtmlTestRunner
from setting import (
    SCODOC_ADMIN_ID,
    SCODOC_ADMIN_PASS,
    SCHEMA,
    BASE_URL,
    NOM_DPT,
    LINK_SCODOC_SERVER,
    BASE_SSH_URL,
    NAVIGATEUR,
)
from selenium import webdriver
from selenium.webdriver.support import expected_conditions as EC
from selenium.webdriver.support.ui import Select, WebDriverWait
from selenium.common.exceptions import NoSuchElementException
from selenium.webdriver.common.keys import Keys
from selenium.webdriver.support.ui import Select
from selenium.webdriver.support.select import Select

URL = SCHEMA + "://" + BASE_URL + NOM_DPT + "/Scolarite"

ACRONYME_FORMATION = "FormationTEST"


def main():
    next_page = "test_vue"
    if NAVIGATEUR == "firefox":
        driver = webdriver.Firefox()
    else:
        driver = webdriver.Chrome()
    auth_page = SCHEMA + "://" + BASE_SSH_URL + "auth/login?next=%2F" + next_page
    driver.get(auth_page)
    driver.find_element_by_id("user_name").send_keys(SCODOC_ADMIN_ID)
    driver.find_element_by_id("password").send_keys(SCODOC_ADMIN_PASS)
    driver.find_element_by_id("submit").click()
    # driver.get(SCHEMA + "://" + BASE_URL + "scodoc_admin")
    # time.sleep(2)
    # try:
    #    select = Select(driver.find_element_by_id("delete-dept"))
    #    select.select_by_visible_text(NOM_DPT)
    #    driver.find_element_by_id("delete-dept").submit()
    #    driver.close()
    # except NoSuchElementException:
    driver.close()
